# std::thread Class Reference
[Threads]

thread More...

List of all members.

## Classes

- class id
    thread::id More...

## Public Types

- typedef shared_ptr< _Impl_base > __shared_base_type
- typedef __gthread_t native_handle_type

## Public Member Functions

- void detach ()
- thread::id get_id () const
- void join ()
- bool joinable () const
- native_handle_type native_handle ()
- thread & operator= (thread &&__t)
- thread & operator= (const thread &)
- void swap (thread &&__t)
- template<typename _Callable , typename... _Args> thread (_Callable &&__f, _Args &&...__args)
- template<typename _Callable > thread (_Callable __f)
- thread (thread &&__t)
- thread (const thread &)

## Static Public Member Functions

- static unsigned int hardware_concurrency ()

## Detailed Description

thread

Definition at line 60 of file thread.

## Member Function Documentation

native_handle_type std::thread::native_handle | ( |  | ) | `[inline]`

Precondition:
  thread is joinable

Definition at line 172 of file thread.

References std::thread::thread::id::_M_thread.

The documentation for this class was generated from the following file:

- thread